Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05749 DIP/Input Major Always Oct 20, 2014, 23:50 Jun 6, 2015, 20:42
Tester trebor View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver c64.cpp
Version 0.155 Fixed in Version 0.163 Build Normal
Summary MESS-specific 05749: c64, c64p - Friday the 13th - All versions: c64 & c64p Froday the 13th - Joy input does not respond properly
Description Pressing fire/button results in player moving left. Pressing controller left results in player moving up. All other controller inputs have no effect. Not a mapping or port issue. Strictly occurs to this title - other games such as Boulder Dash (II), Ms. Pac-Man, Pitfall II, Defender of the Crown, etc...Work without issue.
Steps To Reproduce Load Friday the 13th and try to control character.
Additional Information
Flags
Regression Version
Affected Sets / Systems c64, c64p - Friday the 13th - All versions
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
8
User avatar
No.11123
NekoEd
Senior Tester
Oct 21, 2014, 00:02
Does this affect all machines in c64.c? Your report is not clear.
User avatar
No.11128
trebor
Tester
Oct 21, 2014, 00:07
It is specific to the NTSC C64 "Mess.exe c64". It is not for all games.
User avatar
No.11130
Tafoid
Administrator
Oct 21, 2014, 00:12
Are both joysticks "plugged in"? By default, only one joystick (joy2) is activated.
Use -joy1 joy in your command-line and launch, for example:

mess64 c64 -joy1 joy -flop (whatever game) 
 and see if that works, please.
User avatar
No.11131
trebor
Tester
Oct 21, 2014, 00:33
Yes, both joysticks are mapped.

Tested PAL too - same issue. Again, for this game only same exact issue.

My command line for launching game:

mess.exe c64p -joy1 joy -joy2 joy -flop1 "D:\RNI\C64 Disk Images\F\friday_the_13th\friday_the_13th.d64"
or
mess.exe c64 -joy1 joy -joy2 joy -flop1 "D:\RNI\C64 Disk Images\F\friday_the_13th\friday_the_13th.d64"

Both joysticks are mapped and work fine for many other games.
User avatar
No.11133
Tafoid
Administrator
Oct 21, 2014, 00:41
ok. I'll attempt to find some valid images and test. Likely will be consolidating these 3 bugs into one, since there is a singular issue to report.
User avatar
No.11155
trebor
Tester
Oct 22, 2014, 15:22
Here's the issue in a nutshell:

Real hardware & (Win)Vice:
Port #1 - Up = Left & Button = Up
Port #2 - Controls player properly

MESS:
P1 Controls [=Slot Joy 1] - Up = Left & Button = Up
P2 Controls [=Slot Joy 2] - Not responding

Summary: "P2 Controls [=Slot Joy2]" is broken, not connected/hooked up, missing functionality.
User avatar
No.11169
trebor
Tester
Oct 23, 2014, 23:48
Additional games unplayable - no input response - includes: Satan's Hollow and Donkey Kong (Ocean Version)
User avatar
No.11720
trebor
Tester
Jun 6, 2015, 20:04
commit a2cadb6cf7adceb650ee2c97862692205680d8bb (patch) / SVN r38452
mos6526: Fixed port A/B read. [geecab]

See: http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=100021#Post100021

For that start of more details.

Joystick issue(s) fixed.
Game has been tested and confirmed fixed.